# Get bulk process

Retrieves details on the bulk process identified by the bulk_id parameter.

Endpoint: GET /bulks/{bulk_id}
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `bulk_id` (string, required)
    The bulk id of the bulk process.

## Response 200 fields (application/json):

  - `bulkId` (string)
    The bulk id of the bulk process

  - `status` (string)
    "SUBMITTED": the data for the bulk process operations has been persisted and bulk process is ready for execution. A bulk process in this status can be executed or submitted. This is the initial state for a bulk process

"RUNNING" :  the bulk process is currently being executed by the system

"COMPLETED"  : the execution of the bulk process is complete and all bulk operations of the bulk process were executed successfully. This is a final state for the bulk process 

"PARTIALLY_COMPLETED"  the execution of the bulk process is complete and some of the bulk operations of the bulk process failed. This is a final state for the bulk process

"FAILED" : none of the operations of the bulk process have executed. This is a final state for the bulk process

"PAUSED"  : the execution of bulk process has been paused through the Pause bulk process operation  Execution can be resumed through Resume bulk operation

"CANCELLED" : the execution of bulk process has been cancelled through Cancel bulk operation. This is a final state for the bulk process

  - `submittedItemsCount` (integer)
    The number of bulk operations in the bulk process

  - `executionStart` (integer)
    Timestamp of when the execution of the Bulk Process started

  - `executionFinish` (integer)
    Timestamp of when the execution of the Bulk Process finished.

  - `operation` (string)
    The underlying operations contained within the Bulk; shown as the endpoint for the equivalent single operation.

  - `mode` (string)
    The mode that was instructed when execution was started
    Enum: "ON_FAILURE_STOP", "ON_FAILURE_CONTINUE"

  - `operationStatusCounts` (array)

  - `operationStatusCounts.status` (string)
    Enum: "SUBMITTED", "RUNNING", "COMPLETED", "FAILED", "CANCELLED"

  - `operationStatusCounts.count` (integer)

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 500 fields

## Response 503 fields
